PPIx::Regexp::StringTokenizer(3)

NAME
PPIx::Regexp::StringTokenizer - Tokenize a string literal

SYNOPSIS
 use PPIx::Regexp::Dumper;
 PPIx::Regexp::Dumper->new( 'qq{foo$bar}', parse => 'string' )
     ->print();

"PPIx::Regexp::StringTokenizer" is a PPIx::Regexp::Tokenizer.

"PPIx::Regexp::StringTokenizer" has no descendants.

DESCRIPTION
This class provides tokenization of string literals. It is deprecated in favor of the use of PPIx::QuoteLike.

METHODS
This class supports no public methods over and above those of the superclass.

SEE ALSO
PPIx::Regexp::Tokenizer.

SUPPORT
Support is by the author. Please file bug reports at <http://rt.cpan.org>, or in electronic mail to the author.

AUTHOR
Tom Wyant wyant at cpan dot org

COPYRIGHT AND LICENSE
Copyright (C) 2015-2019 by Thomas R. Wyant, III

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5.10.0. For more details, see the full text of the licenses in the directory LICENSES.

This program is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.